diff --git a/doc/guides/bbdevs/acc100.rst b/doc/guides/bbdevs/acc100.rst
index 8a275dcdd4..b9443adf4e 100644
--- a/doc/guides/bbdevs/acc100.rst
+++ b/doc/guides/bbdevs/acc100.rst
@@ -190,37 +190,10 @@ Test Application
 ----------------
 
 BBDEV provides a test application, ``test-bbdev.py`` and range of test data for testing
-the functionality of the device 5G/4G FEC encode and decode, depending on the device's
-capabilities. The test application is located under app->test-bbdev folder and has the
-following options:
+the functionality of the device, depending on the device's capabilities.
 
-.. code-block:: console
-
-  "-p", "--testapp-path": specifies path to the bbdev test app.
-  "-e", "--eal-params"	: EAL arguments which are passed to the test app.
-  "-t", "--timeout"	: Timeout in seconds (default=300).
-  "-c", "--test-cases"	: Defines test cases to run. Run all if not specified.
-  "-v", "--test-vector"	: Test vector path (default=dpdk_path+/app/test-bbdev/test_vectors/bbdev_null.data).
-  "-n", "--num-ops"	: Number of operations to process on device (default=32).
-  "-b", "--burst-size"	: Operations enqueue/dequeue burst size (default=32).
-  "-s", "--snr"		: SNR in dB used when generating LLRs for bler tests.
-  "-s", "--iter_max"	: Number of iterations for LDPC decoder.
-  "-l", "--num-lcores"	: Number of lcores to run (default=16).
-  "-i", "--init-device" : Initialise PF device with default values.
-
-
-To execute the test application tool using simple decode or encode data,
-type one of the following:
-
-.. code-block:: console
-
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_dec_default.data
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_enc_default.data
-
-
-The test application ``test-bbdev.py``, supports the ability to configure the PF device with
-a default set of values, if the "-i" or "- -init-device" option is included. The default values
-are defined in test_bbdev_perf.c.
+For more details on how to use the test application,
+see :ref:`test_bbdev_application`.
 
 
 Test Vectors
diff --git a/doc/guides/bbdevs/fpga_5gnr_fec.rst b/doc/guides/bbdevs/fpga_5gnr_fec.rst
index 9d71585e9e..84340b18f0 100644
--- a/doc/guides/bbdevs/fpga_5gnr_fec.rst
+++ b/doc/guides/bbdevs/fpga_5gnr_fec.rst
@@ -227,43 +227,10 @@ Test Application
 ----------------
 
 BBDEV provides a test application, ``test-bbdev.py`` and range of test data for testing
-the functionality of FPGA 5GNR FEC encode and decode, depending on the device's
-capabilities. The test application is located under app->test-bbdev folder and has the
-following options:
+the functionality of the device, depending on the device's capabilities.
 
-.. code-block:: console
-
-  "-p", "--testapp-path": specifies path to the bbdev test app.
-  "-e", "--eal-params"	: EAL arguments which are passed to the test app.
-  "-t", "--timeout"	: Timeout in seconds (default=300).
-  "-c", "--test-cases"	: Defines test cases to run. Run all if not specified.
-  "-v", "--test-vector"	: Test vector path (default=dpdk_path+/app/test-bbdev/test_vectors/bbdev_null.data).
-  "-n", "--num-ops"	: Number of operations to process on device (default=32).
-  "-b", "--burst-size"	: Operations enqueue/dequeue burst size (default=32).
-  "-l", "--num-lcores"	: Number of lcores to run (default=16).
-  "-i", "--init-device" : Initialise PF device with default values.
-
-
-To execute the test application tool using simple decode or encode data,
-type one of the following:
-
-.. code-block:: console
-
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_dec_default.data
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_enc_default.data
-
-
-The test application ``test-bbdev.py``, supports the ability to configure the PF device with
-a default set of values, if the "-i" or "- -init-device" option is included. The default values
-are defined in test_bbdev_perf.c as:
-
-- VF_UL_QUEUE_VALUE 4
-- VF_DL_QUEUE_VALUE 4
-- UL_BANDWIDTH 3
-- DL_BANDWIDTH 3
-- UL_LOAD_BALANCE 128
-- DL_LOAD_BALANCE 128
-- FLR_TIMEOUT 610
+For more details on how to use the test application,
+see :ref:`test_bbdev_application`.
 
 
 Test Vectors
diff --git a/doc/guides/bbdevs/fpga_lte_fec.rst b/doc/guides/bbdevs/fpga_lte_fec.rst
index c3379c24e3..5b2029c864 100644
--- a/doc/guides/bbdevs/fpga_lte_fec.rst
+++ b/doc/guides/bbdevs/fpga_lte_fec.rst
@@ -226,44 +226,10 @@ Test Application
 ----------------
 
 BBDEV provides a test application, ``test-bbdev.py`` and range of test data for testing
-the functionality of FPGA LTE FEC turbo encode and turbo decode, depending on the device's
-capabilities. The test application is located under app->test-bbdev folder and has the
-following options:
-
-.. code-block:: console
-
-  "-p", "--testapp-path": specifies path to the bbdev test app.
-  "-e", "--eal-params"	: EAL arguments which are passed to the test app.
-  "-t", "--timeout"	: Timeout in seconds (default=300).
-  "-c", "--test-cases"	: Defines test cases to run. Run all if not specified.
-  "-v", "--test-vector"	: Test vector path (default=dpdk_path+/app/test-bbdev/test_vectors/bbdev_null.data).
-  "-n", "--num-ops"	: Number of operations to process on device (default=32).
-  "-b", "--burst-size"	: Operations enqueue/dequeue burst size (default=32).
-  "-l", "--num-lcores"	: Number of lcores to run (default=16).
-  "-i", "--init-device" : Initialise PF device with default values.
-
-
-To execute the test application tool using simple turbo decode or turbo encode data,
-type one of the following:
-
-.. code-block:: console
-
-  ./test-bbdev.py -c validation -n 64 -b 8 -v ./turbo_dec_default.data
-  ./test-bbdev.py -c validation -n 64 -b 8 -v ./turbo_enc_default.data
-
-
-The test application ``test-bbdev.py``, supports the ability to configure the PF device with
-a default set of values, if the "-i" or "- -init-device" option is included. The default values
-are defined in test_bbdev_perf.c as:
-
-- VF_UL_QUEUE_VALUE 4
-- VF_DL_QUEUE_VALUE 4
-- UL_BANDWIDTH 3
-- DL_BANDWIDTH 3
-- UL_LOAD_BALANCE 128
-- DL_LOAD_BALANCE 128
-- FLR_TIMEOUT 610
+the functionality of the device, depending on the device's capabilities.
 
+For more details on how to use the test application,
+see :ref:`test_bbdev_application`.
 
 Test Vectors
 ~~~~~~~~~~~~
diff --git a/doc/guides/bbdevs/la12xx.rst b/doc/guides/bbdevs/la12xx.rst
index 5cc5d46921..9df4a39725 100644
--- a/doc/guides/bbdevs/la12xx.rst
+++ b/doc/guides/bbdevs/la12xx.rst
@@ -83,36 +83,10 @@ Test Application
 ----------------
 
 BBDEV provides a test application, ``test-bbdev.py`` and range of test data for testing
-the functionality of LA12xx for FEC encode and decode, depending on the device
-capabilities. The test application is located under app->test-bbdev folder and has the
-following options:
+the functionality of the device, depending on the device's capabilities.
 
-.. code-block:: console
-
-  "-p", "--testapp-path": specifies path to the bbdev test app.
-  "-e", "--eal-params"	: EAL arguments which are passed to the test app.
-  "-t", "--timeout"	: Timeout in seconds (default=300).
-  "-c", "--test-cases"	: Defines test cases to run. Run all if not specified.
-  "-v", "--test-vector"	: Test vector path (default=dpdk_path+/app/test-bbdev/test_vectors/bbdev_null.data).
-  "-n", "--num-ops"	: Number of operations to process on device (default=32).
-  "-b", "--burst-size"	: Operations enqueue/dequeue burst size (default=32).
-  "-s", "--snr"		: SNR in dB used when generating LLRs for bler tests.
-  "-s", "--iter_max"	: Number of iterations for LDPC decoder.
-  "-l", "--num-lcores"	: Number of lcores to run (default=16).
-  "-i", "--init-device" : Initialise PF device with default values.
-
-
-To execute the test application tool using simple decode or encode data,
-type one of the following:
-
-.. code-block:: console
-
-  ./test-bbdev.py -e="--vdev=baseband_la12xx,socket_id=0,max_nb_queues=8" -c validation -n 64 -b 1 -v ./ldpc_dec_default.data
-  ./test-bbdev.py -e="--vdev=baseband_la12xx,socket_id=0,max_nb_queues=8" -c validation -n 64 -b 1 -v ./ldpc_enc_default.data
-
-The test application ``test-bbdev.py``, supports the ability to configure the PF device with
-a default set of values, if the "-i" or "- -init-device" option is included. The default values
-are defined in test_bbdev_perf.c.
+For more details on how to use the test application,
+see :ref:`test_bbdev_application`.
 
 
 Test Vectors
diff --git a/doc/guides/bbdevs/vrb1.rst b/doc/guides/bbdevs/vrb1.rst
index fdefb20651..776b9e69ac 100644
--- a/doc/guides/bbdevs/vrb1.rst
+++ b/doc/guides/bbdevs/vrb1.rst
@@ -192,39 +192,11 @@ which sets up the parameters defined in the compatible ``acc200_conf`` structure
 Test Application
 ----------------
 
-The bbdev class is provided with a test application, ``test-bbdev.py``
-and range of test data for testing the functionality of the device,
-depending on the device's capabilities.
-The test application is located under app/test-bbdev folder
-and has the following options:
+BBDEV provides a test application, ``test-bbdev.py`` and range of test data for testing
+the functionality of the device, depending on the device's capabilities.
 
-.. code-block:: console
-
-   "-p", "--testapp-path": specifies path to the bbdev test app.
-   "-e", "--eal-params": EAL arguments which are passed to the test app.
-   "-t", "--timeout": Timeout in seconds (default=300).
-   "-c", "--test-cases": Defines test cases to run. Run all if not specified.
-   "-v", "--test-vector": Test vector path.
-   "-n", "--num-ops": Number of operations to process on device (default=32).
-   "-b", "--burst-size": Operations enqueue/dequeue burst size (default=32).
-   "-s", "--snr": SNR in dB used when generating LLRs for bler tests.
-   "-s", "--iter_max": Number of iterations for LDPC decoder.
-   "-l", "--num-lcores": Number of lcores to run (default=16).
-   "-i", "--init-device": Initialise PF device with default values.
-
-
-To execute the test application tool using simple decode or encode data,
-type one of the following:
-
-.. code-block:: console
-
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_dec_default.data
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_enc_default.data
-
-
-The test application ``test-bbdev.py``, supports the ability to configure the
-PF device with a default set of values, if the "-i" or "- -init-device" option
-is included. The default values are defined in test_bbdev_perf.c.
+For more details on how to use the test application,
+see :ref:`test_bbdev_application`.
 
 
 Test Vectors
diff --git a/doc/guides/bbdevs/vrb2.rst b/doc/guides/bbdevs/vrb2.rst
index 2a30002e05..12b7bf6e64 100644
--- a/doc/guides/bbdevs/vrb2.rst
+++ b/doc/guides/bbdevs/vrb2.rst
@@ -141,39 +141,11 @@ which sets up the parameters defined in the compatible ``rte_acc_conf`` structur
 Test Application
 ----------------
 
-The bbdev class is provided with a test application, ``test-bbdev.py``
-and range of test data for testing the functionality of the device,
-depending on the device's capabilities.
-The test application is located under app/test-bbdev folder
-and has the following options:
+BBDEV provides a test application, ``test-bbdev.py`` and range of test data for testing
+the functionality of the device, depending on the device's capabilities.
 
-.. code-block:: console
-
-   "-p", "--testapp-path": specifies path to the bbdev test app.
-   "-e", "--eal-params": EAL arguments which are passed to the test app.
-   "-t", "--timeout": Timeout in seconds (default=300).
-   "-c", "--test-cases": Defines test cases to run. Run all if not specified.
-   "-v", "--test-vector": Test vector path.
-   "-n", "--num-ops": Number of operations to process on device (default=32).
-   "-b", "--burst-size": Operations enqueue/dequeue burst size (default=32).
-   "-s", "--snr": SNR in dB used when generating LLRs for bler tests.
-   "-s", "--iter_max": Number of iterations for LDPC decoder.
-   "-l", "--num-lcores": Number of lcores to run (default=16).
-   "-i", "--init-device": Initialise PF device with default values.
-
-
-To execute the test application tool using simple decode or encode data,
-type one of the following:
-
-.. code-block:: console
-
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_dec_default.data
-  ./test-bbdev.py -c validation -n 64 -b 1 -v ./ldpc_enc_default.data
-
-
-The test application ``test-bbdev.py``, supports the ability to configure the
-PF device with a default set of values, if the "-i" or "- -init-device" option
-is included. The default values are defined in test_bbdev_perf.c.
+For more details on how to use the test application,
+see :ref:`test_bbdev_application`.
 
 
 Test Vectors
diff --git a/doc/guides/tools/testbbdev.rst b/doc/guides/tools/testbbdev.rst
index 54a9c44dc3..ddb8d787be 100644
--- a/doc/guides/tools/testbbdev.rst
+++ b/doc/guides/tools/testbbdev.rst
@@ -1,6 +1,8 @@
 ..  SPDX-License-Identifier: BSD-3-Clause
     Copyright(c) 2017 Intel Corporation
 
+.. _test_bbdev_application:
+
 dpdk-test-bbdev Application
 ===========================
 